Page MenuHomePhabricator

[AMC] Updates to user pages
Closed, ResolvedPublic3 Story Points

Description

Description

  • since AMC user pages have the enhanced toolbar + overflow menu they do not need the blue links at the top of the page (below the toolbar)
  • since the Language icon is rarely relevant for user pages it makes sense to remove it from the toolbar to make space for Contributions
currentupdated
Icon

Acceptance criteria / QA Steps

  • AMC user pages only do not have blue links at the top (Discussion, Contributions, Uploads)
  • AMC user pages only do not have a Language action in the toolbar
  • AMC user pages only have Language action in the overflow menu (regardless of whether it is enabled or disabled)
  • AMC user pages only have a Contributions action in the toolbar
  • There are no visible changes to user pages for non-amc user
  • There are no visible changes to article pages

Developer notes

That blue links on top are called "Secondary actions" both in SkinMinerva and MinervaTemplate

QA Results

ACStatusDetails
1T224735#5343996
2T224735#5343996

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterExtract language/variants check to a service
mediawiki/skins/MinervaNeue : masterOn user pages, move language icon from Toolbar to Overflow menu
mediawiki/skins/MinervaNeue : masterIf the Overflow menu is visible, don't render user links
mediawiki/skins/MinervaNeue : masterAdd contributions link to toolbar on User pages
mediawiki/skins/MinervaNeue : masterExtract LanguageSwitcher to separate class

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2019, 3:15 PM
alexhollender added a subscriber: ovasileva.

@ovasileva I'm not sure if this change is tracked elsewhere. I believe we've discussed it already and think it may have slipped through this cracks, which is my fault.

ovasileva triaged this task as Normal priority.Jun 3 2019, 11:01 AM
ovasileva added a project: Readers-Web-Backlog.
ovasileva moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
pmiazga added a subscriber: pmiazga.Jun 3 2019, 8:36 PM

@alexhollender could you attach the contributions icon, please?

alexhollender updated the task description. (Show Details)Jun 3 2019, 9:56 PM

@pmiazga I've added them. Also to note there is T222228. Hopefully that doesn't make things too confusing.

Looks like ready to estimate

ovasileva updated the task description. (Show Details)Jun 11 2019, 4:48 PM
pmiazga updated the task description. (Show Details)Jun 18 2019, 4:36 PM

Change 518057 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Extract LanguageSwitcher to separate class

https://gerrit.wikimedia.org/r/518057

@alexhollender @ovasileva just to confirm - couple questions:

  • this icon "shuffle" will be shipped with the overflow menu. Overflow menu is a separate feature that currently is enabled for AMC users only, but in the future we might move it to stable. In other words, if we enable Overflow menu for all users, then those icons will be arranged in this way even if users didn't opt into AMC mode
  • what to do with Pages in the user namespace, eg: pages like this one: https://m.mediawiki.org/wiki/User:Leszek_Manicki_(WMDE)/WMDE_Engineering/Processes (This one is in MediaWiki project so doesn't have language icon, but looks like some users have pretty big/complex pages in their User namespace) - do we want to treat those pages same as we treat the main user page?

(a comment I meant to submit on June 12th — submitting here for the record) After speaking further with the team and Nirzar I've resolved to stick with the original design, wherein we move the Language action to the overflow menu in order to make space for Contributions. The task description is up to date.

The task description looks clear, I'm just not sure if the User subpages (example /wiki/User:Pmiazga/MyArticle) should get same treatment as user pages (eg: /wiki/User:Pmiazga).

@alexhollender @ovasileva just to confirm - couple questions:

  • this icon "shuffle" will be shipped with the overflow menu. Overflow menu is a separate feature that currently is enabled for AMC users only, but in the future we might move it to stable. In other words, if we enable Overflow menu for all users, then those icons will be arranged in this way even if users didn't opt into AMC mode

that sounds right to me. When the overflow menu is enabled we should always make this "icon shuffle" (as you called it).

I think sub-pages should have the same toolbar as the main user page. Are there reasons you're thinking of why that would be weird?

Change 518057 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Extract LanguageSwitcher to separate class

https://gerrit.wikimedia.org/r/518057

Change 518313 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] If the Overflow menu is visible, don't render userlink

https://gerrit.wikimedia.org/r/518313

Change 518755 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Add contributions link to toolbar on User pages

https://gerrit.wikimedia.org/r/518755

Change 518777 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] On user pages, move language icon from Toolbar to Overflow menu

https://gerrit.wikimedia.org/r/518777

Change 520804 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Consolidate Page.js instance variables

https://gerrit.wikimedia.org/r/520804

Change 518755 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add contributions link to toolbar on User pages

https://gerrit.wikimedia.org/r/518755

Change 518313 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] If the Overflow menu is visible, don't render user links

https://gerrit.wikimedia.org/r/518313

Change 521532 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Extract language/variants check to a service

https://gerrit.wikimedia.org/r/521532

Change 518777 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] On user pages, move language icon from Toolbar to Overflow menu

https://gerrit.wikimedia.org/r/518777

Change 521532 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Extract language/variants check to a service

https://gerrit.wikimedia.org/r/521532

pmiazga updated the task description. (Show Details)Jul 17 2019, 1:43 PM
Edtadros reassigned this task from Edtadros to ovasileva.Jul 18 2019, 12:47 AM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

✅ AC1: AMC user pages only do not have blue links at the top (Discussion, Contributions, Uploads)

✅ AC2: AMC user pages only do not have a Language action in the toolbar
See AC1

✅ AC3: AMC user pages only have Language action in the overflow menu (regardless of whether it is enabled or disabled)
See AC1

✅ AC4: AMC user pages only have a Contributions action in the toolbar
See AC1

✅ AC5: There are no visible changes to user pages for non-amc user

✅ AC6: There are no visible changes to article pages

AMC ONAMC OFF
Edtadros updated the task description. (Show Details)Jul 18 2019, 12:48 AM
ovasileva closed this task as Resolved.Jul 18 2019, 3:13 PM

Looks great!